//pegar tipos de usuários
function getTypesUser(){
    let cod = 1, resultado;
    $.ajax({
        url: "backend/config/processos/getSelect.php",
        type: "POST",
        data: {cod},
        dataType: 'json', 
        error: function(jqXHR, textStatus, errorThrown) {
            console.log('jqXHR: \n'+jqXHR);
            console.log('textStatus: \n'+textStatus);
            console.log('errorThrown: \n'+errorThrown);
        },
        success: function(retorno){
            // console.log(retorno);
            if (retorno != false) {
                resultado += "<option selected='' value=''>Selecione uma Opção</option>";
                for (let cc=0;cc<retorno.length;cc++) {
                    resultado += "<option value='"+retorno[cc].id+"'>"+retorno[cc].type+"</option>";
                }
                $(".tipo_user").html(resultado);
            }
        }
    });
}

function getTypesLojas(){
    let cod = 2, resultado;
    $.ajax({
        url: "backend/config/processos/getSelect.php",
        type: "POST",
        data: {cod},
        dataType: 'json', 
        error: function(jqXHR, textStatus, errorThrown) {
            console.log('jqXHR: \n'+jqXHR);
            console.log('textStatus: \n'+textStatus);
            console.log('errorThrown: \n'+errorThrown);
        },
        success: function(retorno){
            // console.log(retorno);
            if (retorno != false) {
                resultado += `
                    <option selected value=''>Selecione uma Opção</option>
                    <option value='0'>Todas</option>
                `;
                for (let cc=0;cc<retorno.length;cc++) {
                    resultado += "<option value='"+retorno[cc].codigo_loja+"'>"+retorno[cc].nome+"</option>";
                }
                $(".tipo_loja").html(resultado);
            }
        }
    });
}

function mudar_button(cod,st,name){
    $("#st-title").text(name);
    $("#btt-status").attr("onclick", "mudar_status('"+cod+"','"+st+"');");
}

function mudar_status (id,status) {
    let cod = 2;
    $.ajax({
        url: "backend/config/processos/processos.php",
        type: "POST",
        data: {id,cod,status},
        dataType: 'json', 
        error: function(jqXHR, textStatus, errorThrown) {
            console.log('jqXHR: \n'+jqXHR);
            console.log('textStatus: \n'+textStatus);
            console.log('errorThrown: \n'+errorThrown);
        },
        success: function(retorno){
            // console.log(retorno);
            if (retorno == true) {
                localStorage.setItem("status", "success");
                localStorage.setItem("msg", "ativa");
                localStorage.setItem("texto", "Ação realizada com sucesso!");
                
                window.location.reload();
            }else{
                localStorage.setItem("status", "danger");
                localStorage.setItem("msg", "ativa");
                localStorage.setItem("texto", "Falha ao executar ação!");				
                window.location.reload();
            }
        }
    });
}

function popularEditar(id,email,nome,tipo,id_loja,ext) {
    document.getElementById("id_esc").value = id;
    document.getElementById("user_email_edt").value = email;
    document.getElementById("user_nome_edt").value = nome;
    document.getElementById("user_type_edt").value = tipo;
    document.getElementById("user_loja_edt").value = id_loja;
    document.getElementById("ext_edt").value = ext;
}

function VALE(id,nome,senha,tipo,status){
    document.getElementById("id_esccob").value = id;
    document.getElementById("user_nome_edtcob").value = nome;
    document.getElementById("user_senha_edtcob").value = senha;
    document.getElementById("user_type_edt2d").value = tipo;
    document.getElementById("user_status_edt2d").value = status;
}

$(document).ready(function(){
    //pegar tipos de usuários
    getTypesUser();
	getTypesLojas();
});